Bug 1104797 - Fedora 20 can not boot using root on iSCSI (static IP configuration)
Summary: Fedora 20 can not boot using root on iSCSI (static IP configuration)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-04 17:37 UTC by nadrimajstor
Modified: 2015-06-30 01:29 UTC (History)
6 users (show)

Fixed In Version: anaconda-21.40-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:29:08 UTC
Type: Bug


Attachments (Terms of Use)
Incorrect /etc/default/grub (624 bytes, text/plain)
2014-06-04 17:37 UTC, nadrimajstor
no flags Details
console log (22.97 KB, text/plain)
2014-06-05 17:58 UTC, nadrimajstor
no flags Details

Description nadrimajstor 2014-06-04 17:37:43 UTC
Created attachment 902269 [details]
Incorrect /etc/default/grub

Description of problem:
After successful install of base system using Fedora-20-x86_64-netinst.iso successive boots fail to bring up iSCSI device from initramfs.

Version-Release number of selected component (if applicable):
20.25.16

How reproducible:
Always

Steps to Reproduce:
1. Install: Use static IP configuration
2. Install: Add and use iSCSI device for root partition
3. Reboot

Actual results:
Dracut hangs out and complains on invalid kernel option
    ip=::::localhost.localdomain:p2p1:none

Expected results:
Normal boot to multiuser.

Additional info:
Providing correct static configuration eg.
    ip=192.168.3.12::192.168.3.1:255.255.255.0:localhost.localdomain:p2p1:none
is enough to end valid Dracut's complaint.
However to actually be able to configure NIC and establish iSCSI connection I've also needed to remove another kernel option:
    ifname=p2p1:08:00:27:5c:ef:d8

Comment 1 Brian Lane 2014-06-04 21:37:55 UTC
Please attach the logs from /tmp/*log as individual text/plain attachments.

Comment 2 Radek Vykydal 2014-06-05 07:34:28 UTC
We've just fixed the issue in rhel7-branch, I pushed the patch to master branch.

I also prepared updates image with the patch for F20, you can check it by adding

updates=http://rvykydal.fedorapeople.org/updates.iscsiipaddrX_f20.img

installer boot option.

If the problem persists with the updates image, please check if (additinally to using updates image) removing the "ifname=p2p1:08:00:27:5c:ef:d8" kernel option fixes the issue, and attach the logs requested in comment #1. Thank you.

Comment 3 Radek Vykydal 2014-06-05 07:36:40 UTC
The rhel bug is bug #1103571 for the reference.

Comment 4 nadrimajstor 2014-06-05 17:58:53 UTC
Created attachment 902618 [details]
console log

Complete console log showing offending:
    dracut: FATAL: For argument 'ip=::::iscsi-test.dualsoft.net:p2p1:none'\nValue 'none' without static configuration does not make sense

Comment 5 nadrimajstor 2014-06-05 19:54:01 UTC
I can confirm that installer with updates.iscsiipaddrX_f20.img generates correct value for kernel option "ip=" and boot just fine.

As for kernel option "ifname=" goes I can not reproduce the error - both old and updated installer produce the base system which boot fine with and without this option.

Comment 6 Fedora End Of Life 2015-05-29 12:01:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-30 01:29:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.